Subject: bug#65510: closed (Re: bug#65510: Errors trying to use home-dicod-service-type and home-syncthing-service-type)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 29 Aug 2023 10:31:02 +0000

Your bug report

#65510: Errors trying to use home-dicod-service-type and home-syncthing-service-type

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65510: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65510
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65510: Errors trying to use home-dicod-service-type and home-syncthing-service-type
From: Ludovic Courtès <[email-masked]>
To: Morgan Smith <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Tue, 29 Aug 2023 12:30:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Morgan Smith <[email-masked]> skribis:

> (use-modules (gnu services)
>              (gnu home services dict)
>              (gnu home services syncthing)
>              (gnu home services mcron))
>
> (home-environment
>  (services
>   (list
>    ;; guix home: error: no target of type 'system' for service 'profile'
>    (service home-dicod-service-type)
>    ;; guix home: error: no target of type 'system' for service 'profile'
>    (service home-syncthing-service-type)

Fixed in cf6abf50dbbbd95fef465ab4bb3b608843ac47e1.

It’s not fully satisfactory though so this will need more thought.

Thanks,
Ludo’.

Subject: Errors trying to use home-dicod-service-type and home-syncthing-service-type
From: Morgan Smith <[email-masked]>
To: [email-masked]
Date: Thu, 24 Aug 2023 14:39:26 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello guix!

Thank you Ludovic for adding a way to map system services to home
services!  This is very exciting.  However, I can't seem to use some of
those services.

Take a look at this minimal example home configuration:

--8<---------------cut here---------------start------------->8---
(use-modules (gnu services)
             (gnu home services dict)
             (gnu home services syncthing)
             (gnu home services mcron))

(home-environment
 (services
  (list
   ;; guix home: error: no target of type 'system' for service 'profile'
   (service home-dicod-service-type)
   ;; guix home: error: no target of type 'system' for service 'profile'
   (service home-syncthing-service-type)
   ;; works great!
   (service home-mcron-service-type))))
--8<---------------cut here---------------end--------------->8---

Am I doing something wrong?  Both the dicod and syncthing services give
me an error when running "guix home build".  The mcron service works
fine though even though it is built using the same "for-home" stuff.

I'm not that comfortable with debugging services and I don't really know
where to start.

I used the "guix repl" to print out "(service home-dicod-service-type)"
and got this:

--8<---------------cut here---------------start------------->8---
$1 = #<<service> type: #<service-type home-dict 7f16dd2e3600> value: #<<dicod-configuration> dico: #<package [email-masked] gnu/packages/dico.scm:41 7f16dd2e9210> interfaces: ("localhost") handlers: () databases: (#<<dicod-database> name: "gcide" handler: "gcide" complex?: #f options: (#<gexp (string-append "dbdir=" #<gexp-input #<package [email-masked] gnu/packages/dictionaries.scm:114 7f16de0644d0>:out> "/share/gcide") gnu/services/dict.scm:94:18 7f16dc110150> #<gexp (string-append "idxdir=" #<gexp-input #<<computed-file> name: "dicod-gcide-index" gexp: #<gexp (begin (use-modules (guix build utils)) (mkdir #<gexp-output out>) (invoke #<gexp-input native #<file-append #<package [email-masked] gnu/packages/dico.scm:41 7f16dd2e9210> "/libexec/idxgcide">:out> #<gexp-input native #<file-append #<package [email-masked] gnu/packages/dictionaries.scm:114 7f16de0644d0> "/share/gcide">:out> #<gexp-output out>)) gnu/services/dict.scm:83:19 7f16dc1101b0> guile: #f options: (#:local-build? #t)>:out>) gnu/services/dict.scm:95:18 7f16dc110120>)>) home-service?: #t>>
--8<---------------cut here---------------end--------------->8---